﻿@{
    ViewBag.NomePagina = "Automação";
}

@Html.Partial("~/Views/Paginas/CadastroAutomacao/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cadastro  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Automação
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    @* FILTROS *@
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtNumCgcEmpFil" name="txtNumCgcEmpFil" type="text" class="ctrl-filtro cnpj" placeholder="Pesquisar Cnpj">
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2Automacoes.cshtml", new Select2AutomacoesViewModel() { idControleSelect2 = "selAut", idControleInput = "TxtAut", tipoPesquisa = true })
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2Sistemas.cshtml", new Select2SistemasViewModel() { idControleSelect2 = "selSis2", idControleInput = "TxtSis2", tipoPesquisa = true })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroAutomacaoContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Automação</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodEmpAut" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Razão Social:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtRazSocEmp" name="txtRazSocEmp" type="text" maxlength="30">
                            <label class="mdl-textfield__label" for="input-text-1"></label>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Nome Fantasia:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input" id="txtNomFnt" name="txtNomFnt" type="text" maxlength="30">
                            <label class="mdl-textfield__label" for="input-text-1"></label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-2 nopaddingright">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">CNPJ:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input cnpj limparTooltipKeyDown" maximo="14" type="text" id="txtNumCgcEmp" name="txtNumCgcEmp" onchange="ValidarCNPJ(this);">
                            <label class="mdl-textfield__label" for="txtNumCgcEmp"></label>
                        </div>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="form-group select2parceria limparTooltipChange">
                        <label for="input-text-3">
                            <strong class="strong-min-tgv">Tipo Parceria:</strong>
                        </label>
                        @Html.Partial("~/Views/Partials/Select2Parcerias.cshtml", new Select2ParceriasViewModel() { idControleSelect2 = "selPac", idControleInput = "txtPac", status = "ativo", margintopSel = "margin-top: 6px;" })
                    </div>
                </div>
                <div class="col-lg-5">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Endereço:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input" id="txtDesEndLgr" name="txtDesEndLgr" type="text" maxlength="150">
                            <label class="mdl-textfield__label" for="input-text-1"></label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="divShowHide">
                <div class="row">
                    <div class="col-md-9">
                        <div class="dataTables_modificado">
                            <div id="grdCadastroSistemaContainer"></div>
                        </div>
                    </div>
                </div>
                <div class="row" style="margin-left: 0px; margin-top: 15px;">
                    <button id="btnInserirSistema" type="button" class="btn btn-primary">
                        <i class="fa fa-plus">&nbsp;</i>
                        Inserir Sistema
                    </button>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroAutomacao/Partials/_IndexGridModalSistema.cshtml")
@Html.Partial("~/Views/Paginas/CadastroAutomacao/Partials/_IndexScript.cshtml")
